<?php

declare(strict_types=1);

namespace Paysera\CheckoutSdk\Entity;

class ProjectInfo
{
    private string $projectId;
    private ProjectStatus $status;
    private bool $paymentCollectionEnabled;

    public function __construct(string $projectId, ProjectStatus $status, bool $paymentCollectionEnabled)
    {
        $this->projectId = $projectId;
        $this->status = $status;
        $this->paymentCollectionEnabled = $paymentCollectionEnabled;
    }

    public function getProjectId(): string
    {
        return $this->projectId;
    }

    public function getStatus(): ProjectStatus
    {
        return $this->status;
    }

    public function isPaymentCollectionEnabled(): bool
    {
        return $this->paymentCollectionEnabled;
    }
}
